<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Presensi</title>
</head>

<body onload="updateJenis()">
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                            <span class="h2 font-weight-bold mb-0">Presensi</span>
                                        </div>
                                        <div class="col-auto">
                                            <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                <i class="fas fa-user-astronaut"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid mt--7">
            <!-- Table -->
            <form id="formSimpan" th:action="@{/studiesActivity/attendance/mulai}" method="post" th:object="${sesi}">
                <div class="row">
                    <div class="col-md-12">
                        <div class="col">
                            <div class="card shadow">
                                <div class="card-header border-0">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h3 class="mb-0">Form</h3>
                                        </div>
                                        <div class="col text-right">
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-3 col-sm-6 col-xs-12">
                                            <div class="form-group">
                                                <label>Pertemuan :</label>
                                                <select name="pertemuan" class="form-control" id="pertemuan" th:if="${now == sesi.tanggal}" required>
                                                    <option disabled selected value=""> - </option>
                                                    <option th:if="${!sesi.isEdit}" value="Online">Online</option>
                                                    <option th:if="${!sesi.isEdit}" value="Offline">Offline</option>
                                                    <option th:if="${sesi.isEdit}" value="Pengganti Offline">Pengganti Offline</option>
                                                    <option th:if="${sesi.isEdit}" value="Pengganti Online">Pengganti Online</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-3 col-sm-6 col-xs-12">
                                            <div class="form-group">
                                                <label>Jenis Pertemuan :</label>
                                                <select id="select-jenis" onchange="updateJenis()" name="jenisPertemuan" th:field="*{jenisPertemuan}" class="form-control">
                                                    <option value="reguler">Reguler</option>
                                                    <option value="UTS">UTS</option>
                                                    <option value="UAS">UAS</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-3 col-sm-6 col-xs-12">
                                            <div class="form-group">
                                                <label>Detail Pertemuan :</label>
                                                <select id="select-reguler" readonly class="form-control">
                                                    <option value="1">Attendance</option>
                                                </select>
                                                <select id="select-ujian" style="display: none;" name="detailPertemuan" th:field="*{detailPertemuan}" class="form-control">
                                                    <option th:each="data : ${detailPertemuans}" th:text="${data.nama}"
                                                            th:value="${data.id}">
                                                        Offline</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-3 col-sm-6 col-xs-12">
                                            <div class="form-group">
                                                <label>Dosen :</label>
                                                <select name="dosen" th:field="*{dosen}" class="form-control">
                                                    <option value=""></option>
                                                    <option th:each="dosen : ${teamTeaching}"
                                                            th:selected="(${dosen.dosen.karyawan} == *{dosen})"
                                                            th:text="${dosen.dosen.karyawan.namaKaryawan}"
                                                            th:value="${dosen.dosen.id}">sdasd</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div id="linkOnline" class="col-md-4 col-sm-6 col-xs-12">
                                            <div class="form-group">
                                                <label>Link pertemuan online :</label>
                                                <textarea name="linkOnline" class="form-control" cols="30" rows="3"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="col-md-6">
                        <div class="col">
                            <div class="card shadow">
                                <div class="card-header border-0">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h3 class="mb-0">Rencana</h3>
                                        </div>
                                        <div class="col text-right">
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Tanggal :</label>
                                                <input type="date" disabled th:value="${sesi.tanggal}"
                                                    class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Jam Mulai :</label>
                                                <input type="text" disabled th:value="${sesi.jamMulai}" required id="timePicker"
                                                       autocomplete="off" placeholder="07:00:00" max="8" name="jamMulai"
                                                       class="timePicker form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Jam Selesai :</label>
                                                <input type="text" disabled th:value="${sesi.jamSelesai}" required id="timePicker1"
                                                       autocomplete="off" placeholder="07:00:00" max="8" name="jamSelesai"
                                                       class="timePicker form-control">
                                            </div>
                                        </div>
                                    </div>
<!--                                    <div class="row" th:if="${now != sesi.tanggal}">-->
<!--                                        <div class="col-md-6">-->
<!--                                            <div class="form-group">-->
<!--                                                <label>Jam Mulai :</label>-->
<!--                                                <input type="text" th:field="*{jamMulai}" required id="timePicker"-->
<!--                                                    autocomplete="off" placeholder="07:00:00" max="8" name="jamMulai"-->
<!--                                                    class="timePicker form-control">-->
<!--    -->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                        <div class="col-md-6">-->
<!--                                            <div class="form-group">-->
<!--                                                <label>Jam Selesai :</label>-->
<!--                                                <input type="text" th:field="*{jamSelesai}" required id="timePicker1"-->
<!--                                                    autocomplete="off" placeholder="07:00:00" max="8" name="jamSelesai"-->
<!--                                                    class="timePicker form-control">-->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                    </div>-->
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>RPS :</label>
                                                <textarea name="beritaAcara" disabled th:field="${sesiKuliah.rps}"
                                                    class="form-control" id=""></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Kegiatan :</label><br>
                                                <input type="checkbox" checked disabled>
                                                <label for="ceramah">Ceramah</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" checked disabled>
                                                <label for="diskusi">Diskusi</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" checked disabled>
                                                <label for="presentasi">Presentasi</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" checked disabled>
                                                <label for="tanyajawab">Tanya Jawab</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" checked disabled>
                                                <label for="kuis">Kuis</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" checked disabled>
                                                <label for="praktikum">Praktikum</label>&nbsp;&nbsp;&nbsp;
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="col">
                            <div class="card shadow">
                                <div class="card-header border-0">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h3 class="mb-0">Realisasi</h3>
                                        </div>
                                        <div class="col text-right">
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Tanggal :</label>
                                                <input type="date" th:field="*{tanggal}" id="tanggalSesi" name="tanggal"
                                                       class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Jam Mulai :</label>
                                                <input type="text" disabled th:field="*{jamMulai}" required id="timePicker"
                                                       autocomplete="off" placeholder="07:00:00" max="8" name="jamMulai"
                                                       class="timePicker form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Jam Selesai :</label>
                                                <input type="text" disabled th:field="*{jamSelesai}" required id="timePicker1"
                                                       autocomplete="off" placeholder="07:00:00" max="8" name="jamSelesai"
                                                       class="timePicker form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Berita Acara :</label>
                                                <textarea name="beritaAcara" th:field="${sesiKuliah.rps}"
                                                          class="form-control" id=""></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Kegiatan :</label><br>
                                                <input type="checkbox" name="ceramah" id="ceramah" value="AKTIF">
                                                <label for="ceramah">Ceramah</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" name="diskusi" id="diskusi" value="AKTIF">
                                                <label for="diskusi">Diskusi</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" name="presentasi" id="presentasi" value="AKTIF">
                                                <label for="presentasi">Presentasi</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" name="tanyajawab" id="tanyajawab" value="AKTIF">
                                                <label for="tanyajawab">Tanya Jawab</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" name="kuis" id="kuis" value="AKTIF">
                                                <label for="kuis">Kuis</label>&nbsp;&nbsp;&nbsp;
                                                <input type="checkbox" name="praktikum" id="praktikum" value="AKTIF">
                                                <label for="praktikum">Praktikum</label>
                                            </div>
                                        </div>
                                    </div>
                                    <input type="hidden" name="id" th:field="*{id}">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <button type="submit" id="btnSimpan" onclick="saveSimpan()" class="btn btn-primary">Simpan</button>
                                                <!--                                        <a href="" class="btn btn-danger">Batal</a>-->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </form>
        </div>
    </div>
</body>

</html>
<!-- Include Moment.js CDN -->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment.min.js">
</script>

<!-- Include Bootstrap DateTimePicker CDN -->
<link
    href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/css/bootstrap-datetimepicker.min.css"
    rel="stylesheet">

<script
    src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/js/bootstrap-datetimepicker.min.js">
</script>
<script>
    $('#input-a').datetimepicker({
        format: 'hh:mm'
    });

    $(document).ready(function (){
        $("#linkOnline").hide();
        $("#pertemuan").on("change", function (){
            var cek = (this.value);
            if (cek == 'Online' || cek == 'Pengganti Online'){
                $("#linkOnline").show();
            }else{
                $("#linkOnline").hide();
            }
        })
    });

    function saveSimpan(event){
        event.preventDefault();

        var form = document.getElementById('formSimpan');
        if (!form.checkValidity()){
            form.classList.add('was-validated');

            var pertemuanForm = document.getElementById('pertemuan');
            if (!pertemuanForm.value){
                pertemuanForm.focus();
                pertemuanForm.click();
            }
            return;
        }else{
            $("#btnSimpan").removeClass("btn-primary");
            $("#btnSimpan").addClass("btn-warning");
            $("#btnSimpan").prop("disabled", true);
            $("#btnSimpan").html("Loading...");

            form.submit();
        }
    }
    document.getElementById('btnSimpan').addEventListener('click', saveSimpan);
</script>
<script>
    function updateJenis(){
        const jenis = document.getElementById('select-jenis').value;
        const reguler = document.getElementById('select-reguler');
        const ujian = document.getElementById('select-ujian');

        console.log(jenis);

        reguler.style.display = 'none';
        ujian.style.display = 'none';

        if (jenis === 'UTS' || jenis === 'UAS'){
            ujian.style.display = 'block';
        }else{
            reguler.style.display = 'block';
        }
    }
</script>